Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.macro
Class MacroRunner

    java.lang.Object
      ij.macro.MacroRunner

All Implemented Interfaces:
  java.lang.Runnable

public class MacroRunner
extends java.lang.Object
implements java.lang.Runnable

This class runs macros in a separate thread.

Constructor Summary
`MacroRunner()` Create a MacrRunner.
`MacroRunner(java.io.File file)` Create a new object that interprets a macro file using a separate thread.
`MacroRunner(Program pgm, int address, java.lang.String name)` Create a new object that runs a tokenized macro in a separate thread.
`MacroRunner(Program pgm, int address, java.lang.String name, java.lang.String argument)` Create a new object that runs a tokenized macro in a separate thread, passing a string argument.
`MacroRunner(java.lang.String macro)` Create a new object that interprets macro source in a separate thread.
`MacroRunner(java.lang.String macro, java.lang.String argument)` Create a new object that interprets macro source in a separate thread, and also passing a string argument.

Method Summary
`void` | `run()`
`void` | `runShortcut(Program pgm, int address, java.lang.String name)` Runs tokenized macro on current thread if pgm.queueCommands is true.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacroRunner

    public MacroRunner()

  Create a MacrRunner.

### MacroRunner

    public MacroRunner(java.lang.String macro)

  Create a new object that interprets macro source in a separate thread.

### MacroRunner

    public MacroRunner(java.lang.String macro,
                       java.lang.String argument)

  Create a new object that interprets macro source in a separate thread, and also passing a string argument.

### MacroRunner

    public MacroRunner(java.io.File file)

  Create a new object that interprets a macro file using a separate thread.

### MacroRunner

    public MacroRunner(Program pgm,
                       int address,
                       java.lang.String name)

  Create a new object that runs a tokenized macro in a separate thread.

### MacroRunner

    public MacroRunner(Program pgm,
                       int address,
                       java.lang.String name,
                       java.lang.String argument)

  Create a new object that runs a tokenized macro in a separate thread, passing a string argument.

Method Detail

### runShortcut

    public void runShortcut(Program pgm,
                            int address,
                            java.lang.String name)

  Runs tokenized macro on current thread if pgm.queueCommands is true.

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD